Subject: [Tzdist-bis] Extend POSIX TZ to allow transition times outside 00-24 range, permanent DST

From: Paul Eggert <[email-masked]>
Date: Mon, 3 Jun 2019 13:34:38 -0700

I recently proposed extending the POSIX spec for TZ strings. Please see:

http://austingroupbugs.net/view.php?id=1252

This proposal is a modest one, as it doesn't specify TZ strings like 
'America/Los_Angeles'. Instead it merely specifies the strings generated 
by zic and stored into TZif files. This includes strings like 
'<-03>3<-02>,M3.5.0/-2,M10.5.0/-1' which use times of day outside the 
00-24 range, and strings like 'EST5EDT,0/0,J365/25' that represent 
permanent daylight saving time.

This extension to POSIX TZ strings has already been specified in 
Internet RFC 8536 section 3.3.1 
<https://tools.ietf.org/html/rfc8536#page-13> and I think it's a good 
idea to backport the extension to POSIX itself, as this will bless the 
common practice of taking the last line of a TZif file and using it as a 
TZ string on small platforms that lack room to store the TZif files.

Please feel free to comment at austingroupbugs.net.